@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

/*Variables CSS*/

:root{
    --header-height: 3rem;

    /*Colores*/

    --title-color: #0B0A0A;
    --text-color: #403A3A;
    --text-color-light: #707070;
    --container-color: #FAFAFA;
    --container-color-alt: #F0EFEF;
    --body-color: #FCFCFC;
    --scroll-bar-color: hsl(238, 12%, 90%);
    --scroll-thum-color: hsl(238, 12%, 80%);

    /*Tipografia y Fuentes*/

    --body-font: 'Poppins', sans-serif;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1rem;
    --normal-font-size: .938rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;

    /*Font Weight*/

    --font-medium: 500;
    --font-semi-bold: 600;

    /*Margenes*/

    --mb-1: .5rem;
    --mb-2: 1rem;
    --mb-3: 1.5rem;

    /*z-index*/

    --z-tooltip: 10;
    --z-fixed: 100;

}


/*Base*/

*,::before,::after{
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

/*variables Dark/Light*/
body.dark-theme{
    /* --title-color: #F2F2F2;
    --text-color: #BFBFBF; */
    /* --container-color: #212121;
    --container-color-alt: #181616;
    --body-color: #2B2B2B; */

    --title-color: hsl(238, 8%, 95%);
    --text-color: hsl(238, 8%, 75%);
    --container-color: #212121;
    --container-color-alt: #181616;
    --body-color: hsl(238, 28%, 16%);
    --scroll-bar-color: hsl(238, 12%, 90%);
    --scroll-thum-color: hsl(238, 12%, 80%);
}

/*Button Dark/Light*/

.nav__btns{
    display: flex;
    align-items: center;
}

.hidetheme{
    display: none;
}

.change-theme{
    /* position: absolute;
    right: 0;
    top: 2.2rem;
    display: flex;
    color: var(--text-color);
    font-size: 1.2rem;
    cursor: pointer; */

    font-size: 1.25rem;
    color: var(--title-color);
    margin-right: var(--mb-2);
    cursor: pointer;
}

.change-theme:hover{
    color: var(--title-color);
}

/*Font Size variables to scale CV*/

body.scale-cv{
    --h1-font-size: .938rem;
    --h2-font-size: .938rem;
    --h3-font-size: .875rem;
    --normal-font-size: .813rem;
    --small-font-size: .75rem;
    --smaller-font-size: .688rem;
}


/*Generate PDF button*/

.generate-pdf{
    display: none;
    position: absolute;
    top: 2.2rem;
    left: 0;
    font-size: 1.2rem;
    color: var(--text-color);
    cursor: pointer;
}

.generate-pdf:hover{
    color: var(--title-color);
}

/*Classes modified to reduce size and print on A4 sheet*/
.c__m{
    margin-top: 70px;
}

.c__m2{
    margin-bottom: 691px;
}
.c__m3{
    margin-top: 50px;
}
.scale-cv .change-theme,
.scale-cv .generate-pdf{
    display: none;
}

.scale-cv .bd-container{
    max-width: 595x;
}

.scale-cv .section{
    padding: 1.5rem 0 .80rem;
}

.scale-cv .section-title{
    margin-bottom: .75rem;
}

.scale-cv .resume__left,
.scale-cv .resume__right{
    padding: 0 1rem;
}

.scale-cv .home__img{
    width: 90px;
    height: 90px;
}

.scale-cv .home__container{
    gap: 1.5rem;
}

.scale-cv .home__data{
    gap: .25rem;
}

.scale-cv .home__address,
.scale-cv .social__container{
    gap: .75rem;
}

.scale-cv .home__icon,
.scale-cv .social__icon,
.scale-cv .interests__icon{
    font-size: 1rem;
}

.scale-cv .education__container,
.scale-cv .experience__container,
.scale-cv .certificate_container{
    gap: 1rem;
}

.scale-cv .education__time,
.scale-cv .experience__time{
    padding-right: .5rem;
}

.scale-cv .education__rounder,
.scale-cv .experience__rounder{
    width: 11px;
    height: 11px;
    margin-top: .22rem;
}

.scale-cv .education__line,
.scale-cv .experience__line{
    width: 1px;
    height: 110%;
    transform: translate(5px, 0);
}

.scale-cv .education__data,
.scale-cv .experience__data{
    gap: .25rem;
}

.scale-cv .skills__name{
    margin-bottom: var(--mb-1);
}

.scale-cv .interests__container{
    column-gap: 2.5rem;
}

body{
    margin: 0 0 var(--header-height) 0;
    padding: 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);

}


h1,h2,h3,ul,p{
    margin: 0;
}

h1,h2,h3{
    color:var(--title-color);
    font-weight: var(--font-medium);
}

ul{
    padding: 0;
    list-style: none;   
}

a{
    text-decoration: none;   
}

img{
    max-width: 100%;
    height: auto;
}


/*Class CSS*/

.section{
    padding: 1.5rem 0;
}

.section-title{
    font-size: var(--h2-font-size);
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
    text-transform: uppercase;
    letter-spacing: .35rem;
    text-align: center;
    margin-bottom: var(--mb-3);
}

/*LayOut*/

.bd-container{
    max-width: 968px;/*968*/
    width: calc(100% - 3rem);
    margin-left: var(--mb-3);
    margin-right: var(--mb-3);
}

.bd-grid{
    display: grid;
    gap: 1.5rem;
}

.l-header{
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: var(--z-fixed);
    background-color: var(--body-color);
    box-shadow: 0 -1px 4px rgba(0,0,0,.1);
    transition: .3s;
}



/*NAV*/

.nav{
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 968px)
{
    .nav__menu{
        position: fixed;
        bottom: -100%;
        left: 0;
        width: 100%;
        padding: 2rem 1.5rem;
        background-color: var(--body-color);
        box-shadow: 0 1px 4px rgba(0,0,0,.1);
        border-radius: 2rem 2rem 0 0;
        z-index: var(--z-fixed);
        transition: .3s;
        
    }
}



.nav__logo, .nav__toggle{
    color: var(--title-color);
    font-weight: var(--font-medium);
    
}


.nav__toggle{
    font-size: 1.2rem;
    cursor:pointer;
}

.nav__item{
    text-align: center;
}

.nav__list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.nav__link{
    display: flex;
    flex-direction: column;
    font-size: var(--smaller-font-size);
    color: var(--text-color-light);
    font-weight: var(--font-medium);
}

.nav__link:hover{
    color:var(--title-color);

}

.nav__icon{
    font-size: 1.2rem;
    margin-bottom: var(--mb-1);

}


/*Show Menu*/

.show-menu{
    bottom: var(--header-height);
}

/*Activate Menu Link*/

.active-link{
    color:var(--title-color);
}


/*Home*/

.home{
    position: relative;
}

.home__container{
    gap: 3rem;
}

.home__data{
    gap: .5rem;
    text-align: center;
}

.home__img{
    width: 120px;
    height: 120px;
    border-radius: 50%;
    border: 2px solid white;
    justify-self: center;
    margin-bottom: var(--mb-1);
}

.home__title{
    font-size: var(--h1-font-size);
}

.home__profession{
    font-size: var(--normal-font-size);
    margin-bottom: var(--mb-1);
}

.home__address{
    gap: 1rem;
}

.home__information{
    display: flex;
    align-items: center;
    font-size: var(--small-font-size);
}

.home__icon{
    font-size: 1.2rem;
    margin-right: .25rem;
}

.home__button-movil{
    display: inline-block;
    border: 2px solid var(--text-color);
    color: var(--title-color);
    padding: 1rem 2rem;
    border-radius: .25rem;
    transition: .3s;
    font-weight: var(--font-medium);
    margin-top: var(--mb-3);
}

.home__button-movil:hover{
    background-color: var(--text-color);
    color:var(--container-color);
}

.home_link{
    color: var(--text-color);
}


/*Social*/
.social__container
{
    grid-template-columns: max-content;
    gap: 1rem;
}

.social__link{
    display: inline-flex;
    align-items: center;
    font-size: var(--small-font-size);
    color: var(--text-color);

}

.social__link:hover{
    color: var(--title-color);
}

.social__icon{
    font-size: 1.2rem;
    margin-right: .25rem;

}


/*Profile*/

.profile__description{
    text-align: center;
}


/*Education and Experience*/

.education__content,
.experience__content{
    display: flex;
    /*background-color: yellow;*/
}

.education__time,
.experience__time{
    padding-right: 1rem;
}

.education__rounder,
.experience__rounder{
    position: relative;
    display: block;
    width: 16px;
    height: 16px;
    background-color: var(--text-color-light);
    border-radius: 50%;
    margin-top: .25rem;
}

.education__line,
.experience__line{
    display: block;
    width: 2px;
    height: 110%;
    background-color: var(--text-color-light);
    transform: translate(7px, 0);
}

.education__data,
.experience__data{
    gap: .5rem;
}

.education__title,
.experience__title{
    font-size: var(--h3-font-size);
}

.education__studies,
.experience__company{
    font-size: var(--small-font-size);
    color: var(--title-color);   
}

.education__year{
    font-size: var(--smaller-font-size);
}


/*Skills and Languages*/

.skills__content,
.languages__content{
    grid-template-columns: repeat(2, 1fr);
}

.languages__content{
    gap: 0;
}

.skills__name, 
.languages__name{
    display: flex;
    align-items: center;
    margin-bottom: var(--mb-3);
}

.skills__circle, 
.languages__circle{
    display: inline-block;
    width: 5px;
    height: 5px;
    background-color: var(--text-color);
    border-radius: 50%;
    margin-right: .75rem;
}


/*Certificates*/

.certificate__title{
    font-size: var(--h3-font-size);
    margin-bottom: var(--mb-1);
}

.certificate_link{
    color: var(--title-color);
}


/*References*/

.references__content{
    gap: .25rem;
}

.references__subtitle{
    color: var(--text-color-light);
}

.references__subtitle,
.references__contact{
    font-size: var(--smaller-font-size);
}

.references__title{
    font-size: var(--h3-font-size);
}


/*Interests*/

.interests__container{
    grid-template-columns: repeat(3, 1fr);
    margin-top: var(--mb-2);
}

.interests__content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.interests__icon{
    font-size: 1.5rem;
    color: var(--text-color-light);
    margin-bottom: .25rem;
}

.scrolltop{
    position: fixed;
    right: 1rem;
    bottom: -20px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .3rem;
    background-color: var(--container-color-alt);
    border-radius: 50%;
    z-index: var(--z-tooltip);
    transition: .4s;
    visibility: hidden;
}

.scrolltop__icon{
    font-size: 1.2rem;
    color: var(--text-color);
}

.show-scroll{
    visibility: visible;
    bottom: 5rem;
}


/*Media Queries*/
/*Small Devices*/
@media screen and (max-width: 320px) {
    .nav__list{
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem .5rem;
    }
}


/*Large Devices*/

@media screen and (min-width: 968px) {

     .change-theme{
        position: absolute;
        right: 0;
        top: 2.2rem;
        display: flex;
        color: var(--text-color);
        font-size: 1.2rem;
        cursor: pointer;
    
    }

    body{
        margin: 3rem 0;
    }

    .bd-container{
        margin-left: auto;
        margin-right: auto;
    }

    .l-header, 
    .scrolltop{
        display: none;
    }

    .resume{
        display: grid;
        grid-template-columns: .5fr 1fr;
        background-color: var(--container-color);
        box-shadow: 0 0 8px rgba(13, 12, 12, .15);
    }

    .resume__left{
        background-color:var(--container-color-alt);
      
    }

    .resume__left, .resume__right{
     padding: 0 1.5rem;
       
    }

    .section-title, .profile__description{
        text-align: initial;
    }


    .generate-pdf{
        display: inline-block;
    }

    .home__container{
        gap: 1.5rem;
    }

    .home__button-movil{
        display: none;
    }

    .references__container{
        grid-template-columns: repeat(2, 1fr);
    }

    .languages__content{
        grid-template-columns: repeat(3, max-content);
        column-gap: 3.5rem;
    }

    .interests__container{
        grid-template-columns: repeat(5, max-content);
        column-gap: 3.5rem;
    }

    /*.certificate_container{
        display: flex;
    }*/

   
}

/* SCROLL BAR */
::-webkit-scrollbar{
    width: .60rem;
    background-color: var(--scroll-bar-color);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb{
    background-color: var(--scroll-thum-color);
    border-radius: .5rem;
}

::-webkit-scrollbar-thumb:hover{
    background-color: var(--text-color-light);
}


